Subject: Re: [PATCH v2 10/11] reftable: make the compaction factor configurable

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 May 2024 15:12:03 -0700

Patrick Steinhardt <[email-masked]> writes:

> When auto-compacting, the reftable library packs references such that
> the sizes of the tables form a geometric sequence. The factor for this
> geometric sequence is hardcoded to 2 right now. We're about to expose
> this as a config option though, so let's expose the factor via write
> options.

Hmph.  It is unclear if having this as uint8_t gives us a useful
enhancement, but perhaps in the future hosters may find a more
aggressive geometric sequence is better for their workload or
something and raise it to 3 or 4?  I was actually wondering if a
base smaller than 2 (e.g. fibonacci) may work better.

Anyway, making it configurable is a good first step.  Allowing a bit
finer grained setting than just integral values can be done later if
it proves necessary.